import sectionproperties.pre.sections as sections
from sectionproperties.analysis.cross_section import CrossSection

t = 1.16
d = 150
b = 40
l = 15
r_out = 3 + t
n_r = 16

channel1 = sections.CeeSection(d=d, b=b, l=l, t=t, r_out=(r_out), n_r=n_r, shift=[0, 0])

# single channel
geometry = channel1
geometry.clean_geometry(verbose=True)

mesh = geometry.create_mesh(mesh_sizes=[0.25])

geometry.clean_geometry(verbose=True)

section = CrossSection(geometry, mesh)
section.plot_mesh()
section.display_mesh_info()
section.calculate_geometric_properties(time_info=True)
section.calculate_plastic_properties(time_info=True)
section.calculate_warping_properties(time_info=True)

section.display_results(fmt='.3f')
